# <test>

Represents a test element of an <nunit> task.

### Parameters

Attribute | Type | Description | Required
--- | --- | --- | ---
assembly | string | Assembly to load the test from. | True
class | string | Class name of the test. | True
appconfig | string | The application configuration file to use for the NUnit test domain. | False
fork | bool | Run the tests in a separate AppDomain. | False
haltonerror | bool | Stop the build process if an error occurs during the test run. | False
haltonfailure | bool | Stop the build process if a test fails (errors are considered failures as well). | False
outfile | string | Base name of the test result. The full filename is determined by this attribute and the extension of formatter. | False
todir | string | Directory to write the reports to. | False

### Requirements

Assembly: NAnt.NUnit1Tasks (0.90.3780.0)